Subject: Re: [RFC/PATCH] git-what: explain what to do next

From: Junio C Hamano <[email-masked]>
Date: Wed, 28 May 2008 22:09:46 -0700

Christian Couder <[email-masked]> writes:

> It seems not very friendly to just "return 1" when not bisecting.
> And before my last patch to use BISECT_START to check if we are bisecting, 
> it would perhaps have been better to use 'test -f "$GIT_DIR/BISECT_NAMES"'.

The reason for this silence is because Santi wants to call potential
culprits in turn and stop when one responds "Yeah, I am the guilty one who
threw a monkey wrench into the user's workflow".  For that to work, "No,
the user is not in the middle of any interaction with me" response needs
to be silent.